# TCPQueryConnecter Class Reference

Non blocking connection create to query servers. More...

Inheritance diagram for TCPQueryConnecter:

## Public Member Functions
| TCPQueryConnecter (const NetworkAddress &address)
virtual void | OnFailure ()
| Callback for when the connection attempt failed.
virtual void | OnConnect (SOCKET s)
| Callback when the connection succeeded.

## Detailed Description

Non blocking connection create to query servers.

Definition at line 724 of file network.cpp.

## Member Function Documentation

virtual void TCPQueryConnecter::OnConnect | ( | SOCKET | s | ) | `[inline, virtual]`

Callback when the connection succeeded.

Parameters:

  | s | the socket that we opened

Reimplemented from TCPConnecter.

Definition at line 733 of file network.cpp.

The documentation for this class was generated from the following file:

- src/network/network.cpp